QGIS Application - Bug report #8939
Atlas Feature Sorting
2013-10-23 02:01 PM - X X

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.0.1 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 17607
Description

| am using the "Atlas generation" feature of the QGIS print composer. It seems that the "Feature sorting" value is not remembered when a
QGIS file is closed and re-opened. For example, if | sort by a field, "page_name", the PDF pages are correctly ordered by this field when |
export them; however, if | close and re-open the document the print composer will return to using the first field as the sort field and the
pages in the PDF will be exported in a seemingly random order.

From my limited knowledge of how QGIS works, | suspect the sort order is being saved, but is not being read when QGIS is re-opened. |
tested this by opening the .qgs file in a text editor and it seems that the sortKey field is, in fact, saved in the document (for example, if
"page_name" was the fifth column, there will be a value of sortKey=4 in the .qgs file). The problem seems to be that this field is not read
when a document is re-opened (e.g. it just goes back to using sortKey=0).

History

#1 - 2013-12-25 07:09 PM - Nyall Dawson

| can't replicate this... are you able to confirm whether you still see this occurring in the current dev master version?

#2 - 2013-12-25 07:09 PM - Nyall Dawson

- Status changed from Open to Feedback

#3 - 2014-04-06 06:04 AM - Jiirgen Fischer
- Category changed from 33 to Map Composer/Printing

#4 - 2014-05-31 05:35 AM - Nyall Dawson
- Resolution set to worksforme
- Status changed from Feedback to Closed

I'm closing this issue as that code has since been rewritten and | can't replicate. Please reopen if you still experience this issue.
